Public Attributes | List of all members
bcs_meas_val_t Struct Reference
BLE Services » Body Composition Service (BCS) » Structures

Body composition Measurement data. More...

`#include <bcs.h>`

Collaboration diagram for bcs_meas_val_t:
[legend]

## Public Attributes
uint16_t | body_fat_percentage
| Body Fat Percentage data. More...
prf_date_time_t | time_stamp
| Time Stamp data. More...
uint8_t | user_id
| User Index data. More...
uint16_t | basal_metabolism
| Basal Metabolism data. More...
uint16_t | muscle_percentage
| Muscle Percentage data. More...
uint16_t | muscle_mass
| Muscle Mass data. More...
uint16_t | fat_free_mass
| Fat Free Mass data. More...
uint16_t | soft_lean_mass
| Soft Lean Mass data. More...
uint16_t | body_water_mass
| Body Water Mass data. More...
uint16_t | impedance
| Impedance data. More...
uint16_t | weight
| Weight data. More...
uint16_t | height
| Height data. More...

## Detailed Description

Body composition Measurement data.

Definition at line 230 of file bcs.h.

## Member Data Documentation

## ◆ basal_metabolism

uint16_t bcs_meas_val_t::basal_metabolism

Basal Metabolism data.

Definition at line 235 of file bcs.h.

## ◆ body_fat_percentage

uint16_t bcs_meas_val_t::body_fat_percentage

Body Fat Percentage data.

Definition at line 232 of file bcs.h.

## ◆ body_water_mass

uint16_t bcs_meas_val_t::body_water_mass

Body Water Mass data.

Definition at line 240 of file bcs.h.

## ◆ fat_free_mass

uint16_t bcs_meas_val_t::fat_free_mass

Fat Free Mass data.

Definition at line 238 of file bcs.h.

## ◆ height

uint16_t bcs_meas_val_t::height

Height data.

Definition at line 243 of file bcs.h.

## ◆ impedance

uint16_t bcs_meas_val_t::impedance

Impedance data.

Definition at line 241 of file bcs.h.

## ◆ muscle_mass

uint16_t bcs_meas_val_t::muscle_mass

Muscle Mass data.

Definition at line 237 of file bcs.h.

## ◆ muscle_percentage

uint16_t bcs_meas_val_t::muscle_percentage

Muscle Percentage data.

Definition at line 236 of file bcs.h.

## ◆ soft_lean_mass

uint16_t bcs_meas_val_t::soft_lean_mass

Soft Lean Mass data.

Definition at line 239 of file bcs.h.

## ◆ time_stamp

prf_date_time_t bcs_meas_val_t::time_stamp

Time Stamp data.

Definition at line 233 of file bcs.h.

## ◆ user_id

uint8_t bcs_meas_val_t::user_id

User Index data.

Definition at line 234 of file bcs.h.

## ◆ weight

uint16_t bcs_meas_val_t::weight

Weight data.

Definition at line 242 of file bcs.h.

The documentation for this struct was generated from the following file:

- bcs.h